/* ./firmware_eip207_ipue.c */

/* -------------------------------------------------------------------------- */
/*                                                                            */
/*   Module        : firmware_eip197                                          */
/*   Version       : 3.5                                                      */
/*   Configuration : FIRMWARE-GENERIC                                         */
/*                                                                            */
/*   Date          : 2022-Dec-21                                              */
/*                                                                            */
/* Copyright (c) 2012-2022 by Rambus, Inc. and/or its subsidiaries.           */
/* All rights reserved. Unauthorized use (including, without limitation,      */
/* distribution and copying) is strictly prohibited. All use requires,        */
/* and is subject to, explicit written authorization and nondisclosure        */
/* agreements with Rambus, Inc. and/or its subsidiaries.                      */
/*                                                                            */
/* For more information or support, please go to our online support system at */
/* https://sipsupport.rambus.com.                                             */
/* In case you do not have an account for this system, please send an e-mail  */
/* to sipsupport@rambus.com.                                                  */
/* -------------------------------------------------------------------------- */


/*----------------------------------------------------------------------------
 * This module uses (requires) the following interface(s):
 */

#include "basic_defs.h"                          // uint32_t

/*----------------------------------------------------------------------------
 * This module implements (provides) the following interface(s):
 */

#include "firmware_eip207_api_dwld.h"     // the interfaces to implement

/*----------------------------------------------------------------------------
 * Definitions and macros
 */

#define FW_VERSION 0x350    /* major, minor, patch (one nibble each) */
#define FW_VERSION_MAJOR 3
#define FW_VERSION_MINOR 5
#define FW_VERSION_PATCH 0

static const uint32_t
FIRMWARE_EIP207_DWLD_IPUE_Image[] =
{
   0x29008200,
   0x3F008000,
   0x2380F7FF,
   0x25208060,
   0xE61C97C0,
   0x16197684,
   0xF6621680,
   0x047A10FF,
   0xD77F1E00,
   0x600B8025,
   0x17730000,
   0xE11D97CF,
   0x161D128E,
   0x01198682,
   0x001C9000,
   0x0001FFFF,
   0x600B0012,
   0x01090401,
   0x1D100000,
   0x38317000,
   0x38377000,
   0x2480F000,
   0xC44893FF,
   0x60030015,
   0x144A93FF,
   0x6083001D,
   0x5B0C0000,
   0xC4489000,
   0x60030015,
   0x00199084,
   0x608B005E,
   0x21B08004,
   0x02000000,
   0x07000000,
   0x213E8008,
   0x60008596,
   0x20600000,
   0x20B4702C,
   0x1019E801,
   0x0110D000,
   0x1D100000,
   0x2200E210,
   0x2480E214,
   0x250AF000,
   0x38317000,
   0x38377000,
   0x20B07028,
   0xF051E400,
   0x60090037,
   0x10599443,
   0x608B0037,
   0xC0589000,
   0x2500F000,
   0x6003002F,
   0x600004F0,
   0x5B804000,
   0x0002E001,
   0x6083003F,
   0xE031C4C0,
   0x6009003D,
   0x1889C808,
   0xEB010808,
   0x5B804000,
   0x1D4D16C0,
   0x20600000,
   0xE01FE83E,
   0x600984E6,
   0x09200000,
   0xB0239800,
   0x600B004B,
   0x72200078,
   0x853C053C,
   0x80D700D8,
   0x00620050,
   0x053C0062,
   0x7220007B,
   0x853C053C,
   0x80C500B2,
   0x806B0086,
   0x00A1053C,
   0xEB020808,
   0xF11597CF,
   0x01198682,
   0x20317000,
   0x06100000,
   0x1D100000,
   0x2180F000,
   0xC11893FF,
   0x60830056,
   0x111A93FF,
   0x6003005E,
   0x5B090000,
   0xC1189000,
   0x60830056,
   0x22B08004,
   0x04000000,
   0x60808591,
   0x07000000,
   0x22B08008,
   0x022D140C,
   0x2300F000,
   0xC0349000,
   0x600B84F3,
   0x20B27008,
   0xC0329000,
   0x608B04F9,
   0x90800000,
   0x002994C7,
   0x608B853C,
   0xA7131000,
   0x177D700C,
   0x177A0014,
   0x20B07048,
   0x20307054,
   0x2030704C,
   0x20377050,
   0xC71F1FFF,
   0xB34010FF,
   0x033D3000,
   0x20B37030,
   0x033D3000,
   0x20337034,
   0xD34F1F00,
   0x03393008,
   0x033A10FF,
   0x20337040,
   0x08300000,
   0x15736800,
   0x035D3000,
   0x20B3703C,
   0x00499018,
   0x610B8434,
   0xA6600010,
   0x608000ED,
   0x002994C7,
   0x600B053C,
   0xD51F1FFF,
   0x20B07048,
   0xA74010FF,
   0x077D3000,
   0x20377030,
   0x077D3000,
   0x20B77034,
   0xC74F1F00,
   0x07793008,
   0x077A10FF,
   0x20B77040,
   0x02576800,
   0x022D3000,
   0x00199018,
   0x60038556,
   0x2032703C,
   0xD051E801,
   0x6089046D,
   0xF712E800,
   0x608104BE,
   0x20870000,
   0x087A10FF,
   0xEB05080C,
   0x5B808000,
   0x60800556,
   0x002994C7,
   0x608B853C,
   0xD51F1FFF,
   0xC74F1F00,
   0x07793008,
   0x077A10FF,
   0x20B07048,
   0x20B77040,
   0x18700000,
   0x3180800C,
   0x17576000,
   0x077D3000,
   0x2037703C,
   0x077D3000,
   0x20B1702C,
   0x60808591,
   0x06690282,
   0xF22397CF,
   0xF021E4C2,
   0x600B053C,
   0x20B07048,
   0x02493008,
   0x022A10FF,
   0x20B27040,
   0xC71F1FFF,
   0x15726000,
   0x115D3000,
   0x2031703C,
   0x00D99018,
   0x608380C1,
   0x2030704C,
   0xB6600410,
   0x00499018,
   0x610B8434,
   0x18200000,
   0x608000ED,
   0x002994C7,
   0x608B853C,
   0x20B07044,
   0xD51F1FFF,
   0xA74010FF,
   0x077D3000,
   0x20B07048,
   0x20377030,
   0x077D3000,
   0x20B77034,
   0xC74F1F00,
   0x07793008,
   0x20B7702C,
   0x07500A00,
   0x2037703C,
   0x20307040,
   0x60008556,
   0x2030704C,
   0xA6600080,
   0xA7131000,
   0x177D700C,
   0x177A0014,
   0x20377050,
   0x20307058,
   0xB54010FF,
   0x055D3000,
   0x20B07048,
   0x20B57030,
   0x02493008,
   0x022A10FF,
   0x20B27040,
   0xC71F1FFF,
   0x15726000,
   0x115D3000,
   0x2031703C,
   0x2030704C,
   0x00499018,
   0x1DDD17C7,
   0x610B8434,
   0x18200000,
   0x3C8AC000,
   0x0087E000,
   0x60090496,
   0xE7A214C0,
   0x008AE100,
   0x60098494,
   0x16670680,
   0x124D700C,
   0x0029E004,
   0x608300FA,
   0x1029E006,
   0x6083013D,
   0x608004B0,
   0x174D7006,
   0x077A103C,
   0xF071E804,
   0x608104B2,
   0x1047E800,
   0x608104B4,
   0x0054E800,
   0x638B812F,
   0x16400800,
   0x05400808,
   0x3B00C000,
   0x3980C000,
   0x20F47003,
   0x20737003,
   0x20F17003,
   0xE44F1A8F,
   0xE4341830,
   0x3A008000,
   0xD0339FFF,
   0x600B8128,
   0x20B47038,
   0x3B808000,
   0x01193008,
   0xC11F1F00,
   0x28A37120,
   0x38207000,
   0x38207000,
   0x38207000,
   0x28A27130,
   0x38207000,
   0x38207000,
   0x38207000,
   0x20F27000,
   0x20737000,
   0xE771E804,
   0x600D812D,
   0x04896A0B,
   0x27729004,
   0x04800800,
   0x20B4702C,
   0x20737000,
   0xA771870A,
   0x10699018,
   0x600B8182,
   0x20377044,
   0x60000188,
   0x16690018,
   0xA0609080,
   0x608B010F,
   0x60008506,
   0x04500000,
   0x5F8F0000,
   0x6080011F,
   0xA0909080,
   0x60830498,
   0xA0909040,
   0x608B0136,
   0x68B98000,
   0x06500800,
   0x60800498,
   0x00DDA80F,
   0x6003013A,
   0x68390000,
   0x60800498,
   0x25308040,
   0x68B08000,
   0x1D65C800,
   0x3B00C000,
   0x00A990C1,
   0x3B8C8000,
   0x3C0F8000,
   0x3A008000,
   0x3F8E8000,
   0x20737000,
   0x28237130,
   0x20F47000,
   0x38A47000,
   0x20F27000,
   0x38A27000,
   0x20F77000,
   0x3EA77000,
   0x3B808000,
   0x3C008000,
   0x3A008000,
   0x3F008000,
   0x20737000,
   0x2C237120,
   0x20F47000,
   0x3F247000,
   0x20F27000,
   0x38A27000,
   0x20F77000,
   0x38A77000,
   0xA6610000,
   0xA7401FF0,
   0x17797004,
   0x20B77038,
   0x60858160,
   0x1F000000,
   0x17481000,
   0x000FFFFF,
   0x20B7704C,
   0xE7324888,
   0x0039E880,
   0x608B0165,
   0xE033E44B,
   0x608B0508,
   0x0057E800,
   0x628B8174,
   0x16700800,
   0x15700800,
   0x11300540,
   0xC11F1F00,
   0x12197008,
   0x022A10FF,
   0x12200500,
   0x20327030,
   0x04800800,
   0xE4426A02,
   0x20B4702C,
   0x60808188,
   0x20B07044,
   0xA0909080,
   0x608304B6,
   0xA0909040,
   0x608B017B,
   0x68298000,
   0x06500800,
   0x608004B6,
   0x00DDA80F,
   0x6083017F,
   0x68A90000,
   0x608004B6,
   0x25308040,
   0x68208000,
   0x1D65C800,
   0x23308040,
   0x008AE1ED,
   0x600904B8,
   0x07546800,
   0x60008384,
   0x17734800,
   0x23308040,
   0x008AE1ED,
   0x600904B8,
   0x07546800,
   0x779003C8,
   0x021181CC,
   0x03828382,
   0x83828326,
   0x0382823D,
   0x03828382,
   0x03828382,
   0x03828382,
   0x03828382,
   0x02838382,
   0x03828382,
   0x03828382,
   0x03828382,
   0x03828382,
   0x03828382,
   0x03828382,
   0x03828382,
   0x03828382,
   0x03828382,
   0x03828382,
   0x03828382,
   0x83498382,
   0x81EE8382,
   0x03828378,
   0x03828382,
   0x03828382,
   0x02F082F3,
   0x03828382,
   0x83168382,
   0x03828382,
   0x83848239,
   0x81AD81E8,
   0x17734800,
   0xE018E448,
   0x60830283,
   0xE018E447,
   0x608301F2,
   0xE016E44C,
   0x6003036E,
   0xF017E443,
   0x60030375,
   0x101DE44D,
   0x608301B9,
   0x101DE44E,
   0x600B0382,
   0x04800800,
   0x04600A00,
   0x2034703C,
   0x20E07000,
   0x20617000,
   0x20E07000,
   0x20E07000,
   0x01900808,
   0x20617000,
   0x22308014,
   0x46208120,
   0xE1416800,
   0x08100800,
   0x3100C000,
   0x11000700,
   0x11000800,
   0x20B17034,
   0x6000857E,
   0xF8414800,
   0x1143E800,
   0xF012E808,
   0x600B04D0,
   0xA0619000,
   0x608304CE,
   0x1079E808,
   0x608104AA,
   0x3A80C000,
   0x14200688,
   0x04494081,
   0x144D300D,
   0x1074E800,
   0x608104AA,
   0x1489EA04,
   0x14444820,
   0x1743E800,
   0x00699488,
   0x166D1687,
   0x08400800,
   0x600B8188,
   0x012005C8,
   0x17778550,
   0x27308030,
   0x600B0514,
   0x20B4702C,
   0x072004C0,
   0x60808188,
   0x20377030,
   0xB0609060,
   0x600301CF,
   0xA0609010,
   0x608B01CF,
   0x608081CF,
   0x06698028,
   0xA0609040,
   0x608381CF,
   0xA6600040,
   0x600004D2,
   0xA0619000,
   0x608304CE,
   0x1079E808,
   0x608104AA,
   0x04600A00,
   0x2034703C,
   0x3A80C000,
   0x3C80C000,
   0x20E07000,
   0x111907C2,
   0x20617000,
   0x20E07000,
   0x11200548,
   0xA0609080,
   0x60838203,
   0x20E07000,
   0x01900808,
   0x20617000,
   0x46208120,
   0x01200488,
   0x111D300D,
   0x20F47003,
   0x14194008,
   0x1074E800,
   0x608104AA,
   0x14090602,
   0x20F47003,
   0x20F27003,
   0x22308014,
   0x6000855C,
   0x09000400,
   0xA0619000,
   0x600B04BA,
   0x1079E808,
   0x6081049C,
   0x04600A00,
   0x2034703C,
   0x12100000,
   0xA0609010,
   0x600B051E,
   0xF023E442,
   0x60830506,
   0x20E07000,
   0x20617000,
   0x122D3008,
   0x20B27034,
   0x20E07000,
   0x20E07000,
   0xE023E48A,
   0x60038229,
   0x02700800,
   0x0029E481,
   0x600D8576,
   0x20708000,
   0x02000000,
   0x20F27003,
   0x3980C000,
   0x22308014,
   0xA0609080,
   0x20F17003,
   0x60038231,
   0x01100888,
   0x01900808,
   0x20617000,
   0x46208120,
   0x01546800,
   0x01134808,
   0x11196804,
   0x09000400,
   0x6000855C,
   0x04090600,
   0xA0619000,
   0x608304BC,
   0x60008213,
   0x111907C2,
   0xA0609010,
   0x600B051E,
   0xF071E804,
   0x6081049A,
   0x04600A00,
   0x2034703C,
   0x3C80C000,
   0xA0619000,
   0x60838248,
   0x20E07000,
   0x111907C2,
   0x20617000,
   0x111D3008,
   0x20B17034,
   0x20E07000,
   0x20E07000,
   0x044D3000,
   0xA0609080,
   0x60038252,
   0x12400000,
   0x02900808,
   0x20627000,
   0x46208120,
   0x20F47003,
   0x01700800,
   0x20F17003,
   0x01048808,
   0x600304C0,
   0x14048828,
   0x608304C2,
   0x104AE1F4,
   0x60030510,
   0x101AE1F4,
   0x60030510,
   0xC041E194,
   0x6003050E,
   0xC011E194,
   0x6003050E,
   0x1041E800,
   0x60830270,
   0x18894008,
   0x3100C000,
   0x22308014,
   0x08896008,
   0xF1121A89,
   0xF012E889,
   0x600304C6,
   0x1179E004,
   0x1409060E,
   0x6000855C,
   0x09000400,
   0x21208130,
   0x22A08120,
   0x0012E000,
   0x608B0265,
   0xA0619000,
   0x608304C4,
   0x21A08134,
   0x22208124,
   0x0012E000,
   0x608B0265,
   0x21A08138,
   0x22208128,
   0x0012E000,
   0x608B0265,
   0x2120813C,
   0x22A0812C,
   0x0012E000,
   0x608B0265,
   0x608004C4,
   0x1079E808,
   0x608104CA,
   0x04600A00,
   0x2034703C,
   0x3C80C000,
   0x3A80C000,
   0xA0619000,
   0x6083828D,
   0x20E07000,
   0x111907C2,
   0x20617000,
   0x0A048828,
   0x608384C0,
   0x111D3008,
   0x1C048808,
   0x608304C2,
   0x00CAE1F4,
   0x60030510,
   0x00AAE1F4,
   0x60030510,
   0x20F24003,
   0x20F47003,
   0x07100A80,
   0xE018E488,
   0x608382C0,
   0x20B17034,
   0x0027E880,
   0x600B04C8,
   0xD0C1E194,
   0x608382C9,
   0x20F77003,
   0xD0A1E194,
   0x600302C9,
   0x20E07000,
   0xA0609080,
   0x608382A9,
   0x014D3000,
   0x01900808,
   0xA0609010,
   0x608B82B3,
   0x20A1711C,
   0x20E07000,
   0x09000400,
   0x46A0911C,
   0x1129E888,
   0x22308014,
   0x6000855C,
   0x14090604,
   0x10699018,
   0x600B0506,
   0x10699014,
   0x608B038C,
   0x00D99018,
   0x600B039F,
   0x1783E800,
   0x0779C805,
   0x17778550,
   0x203C7058,
   0x00000001,
   0x600302AC,
   0x6000051C,
   0x0029E888,
   0x608102C5,
   0x0072E820,
   0x608104CC,
   0x6000029F,
   0x0029E881,
   0x6001829F,
   0x12700A00,
   0x600004CC,
   0x00028800,
   0x608B82CE,
   0x0A200000,
   0x0A090A08,
   0x20F0A000,
   0x1029E88C,
   0x3200C000,
   0xA0609010,
   0x608B0520,
   0x20627000,
   0x20E07000,
   0x20E07000,
   0x4EA04120,
   0x6001050C,
   0x1020E000,
   0x60030510,
   0x1783E800,
   0x17778550,
   0x14800000,
   0xE1080500,
   0x608B850C,
   0x20B17034,
   0xA0609080,
   0x600D02EA,
   0x20E07000,
   0x20E07000,
   0x20E07000,
   0x11A96888,
   0x22308014,
   0x14090604,
   0x09000400,
   0x6000855C,
   0x20E07000,
   0x14090604,
   0x22308014,
   0x09000400,
   0x56A04000,
   0x6000855C,
   0x11A96888,
   0xA0609010,
   0x600B051E,
   0x60800512,
   0xA0609010,
   0x600B051E,
   0x0079E80C,
   0x6001049E,
   0x3A80C000,
   0x10699018,
   0x600B0506,
   0xA0619000,
   0x600382FE,
   0x20E07000,
   0x111907C2,
   0x20617000,
   0x20627000,
   0x20E07000,
   0x20E07000,
   0x4EA04120,
   0x22308014,
   0x111D3008,
   0x20B17034,
   0x04500A00,
   0x2034703C,
   0xA0609080,
   0x600B8313,
   0x09000400,
   0x002994C2,
   0x20E07000,
   0x20E07000,
   0x20E07000,
   0x20E07000,
   0x600B0582,
   0x60008582,
   0x20B07044,
   0x56A04000,
   0x60808310,
   0x002994C2,
   0xA0619000,
   0x608B04AC,
   0x3200C000,
   0x34008004,
   0x1079E808,
   0x600104AE,
   0x20A47120,
   0x02100540,
   0xE0289480,
   0x60838385,
   0x012005C8,
   0x34008008,
   0x0079E80C,
   0x60898385,
   0x20247130,
   0x608004AE,
   0xF071E804,
   0x608104A0,
   0x3200C000,
   0x3480C008,
   0xF224E7C0,
   0x600104B0,
   0xE021E4C0,
   0x608904B0,
   0x0029E4C5,
   0x608104B2,
   0x1072E800,
   0x600B0498,
   0x0222C4F8,
   0x0222C000,
   0x1072E800,
   0x608104A0,
   0xA0609080,
   0x600B0384,
   0x3380C00C,
   0x3180C010,
   0x12090504,
   0x04800800,
   0x28217120,
   0x38207000,
   0x38207000,
   0x38207000,
   0x28237130,
   0x38207000,
   0x38207000,
   0x11400588,
   0x04600A00,
   0x2034703C,
   0x23308040,
   0x60808218,
   0x38207000,
   0x3200C000,
   0xF072E808,
   0x600104A2,
   0x3480C004,
   0xE226E7C0,
   0x600104B0,
   0xE021E4C0,
   0x608904B0,
   0xF442CA88,
   0x0074E820,
   0x600B04B6,
   0xA0609080,
   0x600B0384,
   0x3280C008,
   0x3700C00C,
   0x3300C010,
   0x3100C014,
   0x28A27130,
   0x38A77000,
   0x38237000,
   0x38A17000,
   0x3200C018,
   0x3780C01C,
   0x3300C020,
   0x3100C024,
   0x28227120,
   0x38A77000,
   0x38237000,
   0x38A17000,
   0xE2020509,
   0x11400548,
   0x04800800,
   0x04600A00,
   0x2034703C,
   0x23308040,
   0x60808218,
   0x111907C2,
   0xA0609010,
   0x600B051E,
   0x3A80C000,
   0x1079E804,
   0x608104A6,
   0x600082F8,
   0x02000A00,
   0x1079E804,
   0x60890384,
   0x608004A8,
   0xA0619000,
   0x600304D4,
   0x1079E808,
   0x600104A4,
   0xA0609080,
   0x60830506,
   0x3980C000,
   0x16690018,
   0x111D7000,
   0x11000400,
   0xA0609080,
   0x6083050A,
   0x12100000,
   0x04800800,
   0x04600A00,
   0xA0619000,
   0x60838218,
   0x2034703C,
   0x60808218,
   0x111907C2,
   0x00028800,
   0x600B8391,
   0x0A200000,
   0x0A090A08,
   0x20F0A000,
   0x1029E88C,
   0x6001050C,
   0x32808000,
   0x1029E404,
   0x608B8492,
   0x14800000,
   0x1743E800,
   0xE1080500,
   0xE66F13CB,
   0x17778550,
   0x20B17034,
   0x608382AC,
   0x02A00000,
   0x6080050C,
   0x1E200000,
   0x00028800,
   0x04800800,
   0x608B83A6,
   0x14400A00,
   0x1E090A08,
   0x20F0A000,
   0x1C300000,
   0xFDD90680,
   0x0343E800,
   0x203C7058,
   0x0000000D,
   0x00D99014,
   0x2120802C,
   0x600383B8,
   0x16690682,
   0x3F80C000,
   0x20B87058,
   0x00000011,
   0x03394804,
   0x04494A84,
   0x1079E4C1,
   0x608B0469,
   0x101A9800,
   0x600B0539,
   0x05D00808,
   0x02546828,
   0x0029E00D,
   0x6081846B,
   0x20B4702C,
   0xE334CA0D,
   0x133387F0,
   0x608B051C,
   0x055A6020,
   0xC051E7E1,
   0x6089046D,
   0x3F80C000,
   0x3200B007,
   0x1079E4C1,
   0x600303B0,
   0x3380B7FF,
   0x02424888,
   0x022A6013,
   0x1052E000,
   0x60810471,
   0x20820000,
   0x18200408,
   0xEB05080C,
   0x5B808000,
   0xE771E4C4,
   0x007D940C,
   0x6001846F,
   0xE1080A00,
   0x600B846F,
   0x17177780,
   0x10179470,
   0x600B0522,
   0x1052E000,
   0x608B83E7,
   0x20E37000,
   0x12E00000,
   0x13C00000,
   0x1129E888,
   0x09000400,
   0x14090604,
   0x18400000,
   0x20000000,
   0x22308014,
   0x20377050,
   0x46A0911C,
   0x6000855C,
   0x20307054,
   0x0A0A0100,
   0x20377050,
   0x20B87054,
   0x00030000,
   0x0B090000,
   0x5AB06000,
   0xFD224800,
   0x19090401,
   0x13000000,
   0x1C500000,
   0x18400000,
   0x20000000,
   0x27B08040,
   0x0A200000,
   0x12D76A08,
   0x2032703C,
   0x600082AE,
   0x12E00000,
   0x04A00000,
   0x15C00000,
   0x20840000,
   0x084A10FF,
   0x27B0802C,
   0x21308050,
   0x20B01000,
   0x12546000,
   0x0029E00D,
   0x17000800,
   0x20B07028,
   0x60818479,
   0x20B7702C,
   0x3780C020,
   0x2220802C,
   0x16400800,
   0xE771E4C4,
   0x007D940C,
   0x6001847B,
   0xE2080A00,
   0x600B847B,
   0x17277780,
   0x10279470,
   0x600B0524,
   0x077187F0,
   0x1017E850,
   0x600B847B,
   0x20377050,
   0x3180B02B,
   0x14414000,
   0x1449400D,
   0x1054E000,
   0x60818475,
   0x02090022,
   0x6003041D,
   0x12090601,
   0x20B27054,
   0x20840000,
   0x084A10FF,
   0xEB05080C,
   0x53008000,
   0x1619480D,
   0xF66B17CF,
   0x20B67000,
   0x12600A08,
   0x2032703C,
   0x203C7058,
   0x0000000D,
   0x20307040,
   0x20B07030,
   0x1A0A0104,
   0x1B090004,
   0x5BA05000,
   0x608D03FD,
   0x2300F000,
   0xC0329000,
   0x608B84FB,
   0x11400000,
   0x90800000,
   0x0889C40C,
   0x60810516,
   0x3280B000,
   0x1889C402,
   0x60810516,
   0x0087E000,
   0x608904D6,
   0x102AE600,
   0x6009044D,
   0x1229400E,
   0x0052E800,
   0x600B04D6,
   0x32808000,
   0x1889C404,
   0x60810516,
   0x022E9EFE,
   0x0028E000,
   0x0003AAAA,
   0x600B0518,
   0x3200C000,
   0x1889C404,
   0x60810516,
   0x10028820,
   0x600B0518,
   0x60000439,
   0x002AE800,
   0x60830461,
   0xC028E6DD,
   0x60830461,
   0xD028E100,
   0x6083045E,
   0xC028E8A8,
   0x6083045E,
   0xC029E100,
   0x6083045E,
   0xC029E200,
   0x6083045E,
   0xD028E8E7,
   0x608B051A,
   0x1889C404,
   0x60890434,
   0x60000516,
   0x1889C402,
   0x60090436,
   0x60000516,
   0xA6620000,
   0x25B08014,
   0x12800000,
   0x20B27040,
   0x05200500,
   0x20B57014,
   0x68108000,
   0x0572E000,
   0x60808472,
   0xE305040D,
   0x60808472,
   0xE3020405,
   0x60808472,
   0xE3020406,
   0x60808472,
   0xF3020407,
   0xF3020408,
   0x20B37028,
   0x600084DC,
   0x20307054,
   0xF302040B,
   0x20B37028,
   0x6080847E,
   0x03566800,
   0x6000847C,
   0xE3020409,
   0xE302040A,
   0x20B37028,
   0x13546800,
   0x203C7054,
   0x00020000,
   0xE2301017,
   0x23A08114,
   0x13397008,
   0x033A10FF,
   0x13236800,
   0x033D3000,
   0x20B3703C,
   0x1A0A0104,
   0x1B090004,
   0x5BA05000,
   0x2300F000,
   0xC0329000,
   0x608B84FB,
   0x11400000,
   0x608084E4,
   0x16200800,
   0x6000853A,
   0xF303040C,
   0x6000853A,
   0xE303040D,
   0x6000853A,
   0xE303040D,
   0x608084DB,
   0xE303040E,
   0x608084DB,
   0xF303040F,
   0x608084DB,
   0xE3040400,
   0x608084DB,
   0xF3040401,
   0x608084DB,
   0xF3040402,
   0x608084DB,
   0xE3040403,
   0x608084DB,
   0xF3040404,
   0x608084DB,
   0xE3040405,
   0x608084DB,
   0xE3040406,
   0x608084DB,
   0xF3040407,
   0x608084DB,
   0xF3040408,
   0x608084DB,
   0xF304040B,
   0x608084DB,
   0xE304040C,
   0x608084DB,
   0x03090403,
   0x608084DB,
   0xE3010400,
   0x608084DB,
   0xF3010404,
   0x608084DB,
   0xE3010406,
   0x6000853A,
   0xF3010407,
   0x608084DB,
   0xE3010409,
   0x608084DB,
   0xE301040A,
   0x608084DB,
   0xF301040B,
   0x608084DB,
   0xE301040C,
   0x608084DB,
   0xF301040D,
   0x608084DB,
   0xF301040E,
   0x608084DB,
   0xE301040F,
   0x608084DB,
   0xE3020400,
   0x608084DB,
   0xF3020401,
   0x608084DB,
   0xF3020402,
   0x608084DB,
   0xF302040D,
   0x608084DB,
   0xF302040E,
   0x608084DB,
   0xE3030401,
   0x608084DB,
   0xE3030404,
   0x608084DB,
   0xE304040F,
   0x608084DB,
   0xE3060404,
   0xF3060405,
   0x20B37028,
   0x20307054,
   0x2300F000,
   0xC0349000,
   0x600B84F3,
   0x11400000,
   0xC0329000,
   0x608B04F9,
   0x06D00C00,
   0x6080854F,
   0x16690011,
   0x001DA80F,
   0x600B04EC,
   0xF02390CC,
   0x60030046,
   0xE022E0C8,
   0x6003006B,
   0xA2030300,
   0x20307010,
   0x608084F6,
   0x20B07014,
   0x20307008,
   0x600084EC,
   0x20B0700C,
   0x608084F6,
   0xB2030100,
   0x11090004,
   0x11108A08,
   0x600304F5,
   0x60000501,
   0x600084FE,
   0xA2030000,
   0x600084FE,
   0xB2030200,
   0x11090004,
   0x01108A00,
   0x600384FD,
   0x11000800,
   0x2031703C,
   0x06D00C00,
   0xA66C0004,
   0x6080854F,
   0x20B27010,
   0x6000853A,
   0x13090401,
   0x6000853A,
   0xE3010405,
   0x6000853A,
   0xF3010408,
   0x6000853A,
   0xE3020403,
   0x6000853A,
   0xF304040D,
   0x6000853A,
   0xF3020404,
   0x6000853A,
   0xE302040C,
   0x6000853A,
   0xE3040409,
   0x6000853A,
   0xF304040E,
   0x6000853A,
   0xF3050400,
   0x6000853A,
   0xE3050401,
   0x6000853A,
   0xE304040A,
   0x6000853A,
   0xE302040F,
   0x6000853A,
   0xF3030400,
   0x6000853A,
   0xF375C40E,
   0xF375C40E,
   0x20B37028,
   0x13546800,
   0x203C7054,
   0x00020000,
   0xE2301017,
   0x23A08114,
   0x13397008,
   0x033A10FF,
   0x13236800,
   0x033D3000,
   0x20B3703C,
   0x1A0A0104,
   0x1B090004,
   0x5BA05000,
   0x2300F000,
   0xC0329000,
   0x608B84FB,
   0x11400000,
   0x6000854E,
   0x16200800,
   0xE3060402,
   0x60808546,
   0x20B37028,
   0x13090402,
   0x60808540,
   0x20B37028,
   0x11090004,
   0x01108A00,
   0x6003853F,
   0x11000800,
   0x2031703C,
   0x20B27010,
   0x20347014,
   0x20307054,
   0x2300F000,
   0xC0349000,
   0x600B84F3,
   0x11400000,
   0xC0329000,
   0x608B04F9,
   0x06D00C00,
   0x16690024,
   0x21B08008,
   0x00199003,
   0x608B8555,
   0x20B67000,
   0x011D1400,
   0x20B17008,
   0x90800000,
   0x20B07044,
   0x22B08004,
   0x04000000,
   0x07000000,
   0x60808591,
   0x06690282,
   0x002994C2,
   0x600B055F,
   0x20B07044,
   0x002994C4,
   0x60830582,
   0x10699018,
   0x600B0582,
   0x1553C000,
   0xD051E801,
   0x60890582,
   0x07018A00,
   0x14090F02,
   0x60838585,
   0x07090832,
   0x04800800,
   0x20041000,
   0x1404E400,
   0x600385ED,
   0x08000500,
   0x14090501,
   0x0074E880,
   0x60090573,
   0x14700880,
   0x5F8C0000,
   0x60808585,
   0x0774EA80,
   0x22308014,
   0xA0609080,
   0x6003857B,
   0x01000000,
   0x01900808,
   0x01900808,
   0x20617000,
   0x46208120,
   0x002994C2,
   0x608B8582,
   0x09000400,
   0x20B07044,
   0x04494682,
   0x14000700,
   0x07090102,
   0x25B0803C,
   0x21B08008,
   0x22B08004,
   0x1553E800,
   0x00058410,
   0x600B0514,
   0x00199003,
   0x600305F1,
   0x20600000,
   0x22BE800C,
   0x60008596,
   0x06690282,
   0x21B08008,
   0x22BE800C,
   0x001DE00C,
   0x60030490,
   0x20600000,
   0x20614000,
   0x71900020,
   0x059B85B6,
   0x059F85AF,
   0x20E25000,
   0x12080000,
   0x00080800,
   0x608085B6,
   0x30E21000,
   0x03080000,
   0x00083800,
   0x10699022,
   0x608385A7,
   0x30631000,
   0x10699021,
   0x600305B6,
   0x1DDD168E,
   0x25A08064,
   0x111D100C,
   0x1115C000,
   0x12295000,
   0x20614000,
   0x20E25000,
   0x608085B6,
   0x30631000,
   0x130C0000,
   0x00082800,
   0x10699022,
   0x608385A7,
   0x30631000,
   0x10699021,
   0x600B05A6,
   0x06D00C00,
   0x10078820,
   0x600B85E0,
   0x20B67000,
   0x2300F000,
   0x10078410,
   0x600305C4,
   0x0FF004C0,
   0x30F40000,
   0x21F08000,
   0x00D99018,
   0x608B85CA,
   0x04100800,
   0x20347048,
   0xC0349000,
   0x600B84F3,
   0x01600000,
   0xC0329000,
   0x608B04F9,
   0x90800000,
   0x22308014,
   0x21308044,
   0xA0619000,
   0x600B05D1,
   0x0019C801,
   0x002994C2,
   0x608B05DC,
   0x0049C801,
   0x002994C4,
   0x600B05DE,
   0x10018401,
   0x600B03F9,
   0xC0349000,
   0x600B84F3,
   0x01600000,
   0xC0329000,
   0x608B04F9,
   0x90800000,
   0x600105D1,
   0x608004DA,
   0x600105D4,
   0x600004D8,
   0x20740000,
   0x1477E880,
   0x1FF91001,
   0x0FF00700,
   0x20071000,
   0x608985E9,
   0x188A11FC,
   0x5F8C0000,
   0x600005BA,
   0x5F080000,
   0x600305BA,
   0x600085E4,
   0x0447E800,
   0x0777EA80,
   0x60010572,
   0x5F080000,
   0x60000585,
   0x20BD7008,
   0xA0989000,
   0x608B85F9,
   0x20BF700C,
   0x1E200000,
   0x306C1000,
   0x0008A000,
   0x600005B6,
   0x1E200000,
   0x30E81000,
   0x00088000,
   0x600005B6,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x10000000,
   0x42902000,
   0x00007350,
   0x00000000,
   0x42102038,
   0x00007331,
   0x03310331,
   0x20217070,
   0x20A27074,
   0x20237078,
   0x2024707C,
   0x20A57080,
   0x20267084,
   0x20A77088,
   0x202C7014,
   0x00000001,
   0x80000000,
   0x10000000,
   0x00000000
};

#define ARRAY_ELEMCOUNT(_a)  (sizeof(_a) / sizeof(_a[0]))

/*----------------------------------------------------------------------------
 * FIRMWARE_EIP207_DWLD_IPUE_GetReferences
 *
 * This function returns references to the firmware images required by
 * EIP207 Driver Library.
 */
void
FIRMWARE_EIP207_DWLD_IPUE_GetReferences(
        FIRMWARE_EIP207_DWLD_t * const FW_p)
{
    if (!FW_p)
        return;

    FW_p->Version_MaMiPa = FW_VERSION;
    FW_p->Major = FW_VERSION_MAJOR;
    FW_p->Minor = FW_VERSION_MINOR;
    FW_p->PatchLevel = FW_VERSION_PATCH;
    FW_p->Image_p = FIRMWARE_EIP207_DWLD_IPUE_Image;
    FW_p->WordCount = ARRAY_ELEMCOUNT(FIRMWARE_EIP207_DWLD_IPUE_Image);
}

/* end of file ./firmware_eip207_ipue.c */

